| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
cv::gapi::onnx::Params< cv::gapi::Generic > Class Reference

`#include <opencv2/gapi/infer/onnx.hpp>`

Collaboration diagram for cv::gapi::onnx::Params< cv::gapi::Generic >:

## Public Member Functions
| Params (const std::string &tag, const std::string &model_path)
| Class constructor.
GBackend | backend () const
void | cfgAddExecutionProvider (ep::CoreML &&ep)
void | cfgAddExecutionProvider (ep::CUDA &&ep)
void | cfgAddExecutionProvider (ep::DirectML &&ep)
void | cfgAddExecutionProvider (ep::OpenVINO &&ep)
void | cfgAddExecutionProvider (ep::TensorRT &&ep)
void | cfgDisableMemPattern ()
void | cfgMeanStdDev (const std::string &layer, const cv::Scalar &m, const cv::Scalar &s)
void | cfgNormalize (const std::string &layer, bool flag)
void | cfgOptLevel (const int opt_level)
void | cfgSessionOptions (const std::map< std::string, std::string > &options)
cv::util::any | params () const
std::string | tag () const

## Protected Attributes
detail::ParamDesc | desc
std::string | m_tag

## Constructor & Destructor Documentation

## ◆ Params()

cv::gapi::onnx::Params< cv::gapi::Generic >::Params | ( | const std::string & | tag,
|  | const std::string & | model_path )
| inline

Class constructor.

Constructs Params based on input information and sets default values for other inference description parameters.

Parameters

  tag | string tag of the network for which these parameters are intended.
  model_path | path to model file (.onnx file).

## Member Function Documentation

## ◆ backend()

GBackend cv::gapi::onnx::Params< cv::gapi::Generic >::backend | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ cfgAddExecutionProvider() [1/5]

void cv::gapi::onnx::Params< cv::gapi::Generic >::cfgAddExecutionProvider | ( | ep::CoreML && | ep | ) |
| inline

See also
  onnx::Params::cfgAddExecutionProvider.

## ◆ cfgAddExecutionProvider() [2/5]

void cv::gapi::onnx::Params< cv::gapi::Generic >::cfgAddExecutionProvider | ( | ep::CUDA && | ep | ) |
| inline

See also
  onnx::Params::cfgAddExecutionProvider.

## ◆ cfgAddExecutionProvider() [3/5]

void cv::gapi::onnx::Params< cv::gapi::Generic >::cfgAddExecutionProvider | ( | ep::DirectML && | ep | ) |
| inline

See also
  onnx::Params::cfgAddExecutionProvider.

## ◆ cfgAddExecutionProvider() [4/5]

void cv::gapi::onnx::Params< cv::gapi::Generic >::cfgAddExecutionProvider | ( | ep::OpenVINO && | ep | ) |
| inline

See also
  onnx::Params::cfgAddExecutionProvider.

## ◆ cfgAddExecutionProvider() [5/5]

void cv::gapi::onnx::Params< cv::gapi::Generic >::cfgAddExecutionProvider | ( | ep::TensorRT && | ep | ) |
| inline

See also
  onnx::Params::cfgAddExecutionProvider.

## ◆ cfgDisableMemPattern()

void cv::gapi::onnx::Params< cv::gapi::Generic >::cfgDisableMemPattern | ( |  | ) |
| inline

See also
  onnx::Params::cfgDisableMemPattern.

## ◆ cfgMeanStdDev()

void cv::gapi::onnx::Params< cv::gapi::Generic >::cfgMeanStdDev | ( | const std::string & | layer,
|  | const cv::Scalar & | m,
|  | const cv::Scalar & | s )
| inline

See also
  onnx::Params::cfgMeanStdDev.

## ◆ cfgNormalize()

void cv::gapi::onnx::Params< cv::gapi::Generic >::cfgNormalize | ( | const std::string & | layer,
|  | bool | flag )
| inline

See also
  onnx::Params::cfgNormalize.

## ◆ cfgOptLevel()

void cv::gapi::onnx::Params< cv::gapi::Generic >::cfgOptLevel | ( | const int | opt_level | ) |
| inline

See also
  onnx::Params::cfgOptLevel.

Here is the call graph for this function:

## ◆ cfgSessionOptions()

void cv::gapi::onnx::Params< cv::gapi::Generic >::cfgSessionOptions | ( | const std::map< std::string, std::string > & | options | ) |
| inline

See also
  onnx::Params::cfgSessionOptions.

## ◆ params()

cv::util::any cv::gapi::onnx::Params< cv::gapi::Generic >::params | ( |  | ) | const
| inline

## ◆ tag()

std::string cv::gapi::onnx::Params< cv::gapi::Generic >::tag | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ desc

detail::ParamDesc cv::gapi::onnx::Params< cv::gapi::Generic >::desc
| protected

## ◆ m_tag

std::string cv::gapi::onnx::Params< cv::gapi::Generic >::m_tag
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/infer/onnx.hpp